/***********************************************************************/
/*                                                                     */
/*                           Objective Caml                            */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1999 Institut National de Recherche en Informatique et   */
/*  en Automatique.  All rights reserved.  This file is distributed    */
/*  under the terms of the GNU Library General Public License, with    */
/*  the special exception on linking described in file ../LICENSE.     */
/*                                                                     */
/***********************************************************************/

/* $Id: digest.h,v 1.13 2005/09/22 14:21:50 xleroy Exp $ */

/* Caml bindings for the SHA256 message digest implementation. */
/* Copyright (C) 2006-2007 Peter Selinger */

#ifndef CAML_SHA256_H
#define CAML_SHA256_H

#include <mlvalues.h>

CAMLextern value caml_sha256_new (void);
CAMLextern value caml_sha256_data (value state, value str, value ofs, value len);
CAMLextern value caml_sha256_finish (value state);

#endif /* CAML_SHA256_H */
